Home
last modified time | relevance | path

Searched refs:theFace1 (Results 1 – 21 of 21) sorted by relevance

/dports/cad/opencascade/opencascade-7.6.0/src/ChFi3d/
H A DChFi3d.cxx143 const TopoDS_Face& theFace1, in IsTangentFaces() argument
147 if (Order == GeomAbs_G1 && BRep_Tool::Continuity(theEdge, theFace1, theFace2) != GeomAbs_C0) in IsTangentFaces()
157 (theEdge, theFace1, aFirst, aLast); in IsTangentFaces()
160 if (theFace1.IsSame(theFace2)) in IsTangentFaces()
168 Handle(Geom_Surface) aSurf1 = BRep_Tool::Surface(theFace1); in IsTangentFaces()
175 BRepAdaptor_Surface aBAS1(theFace1); in IsTangentFaces()
219 TopOpeBRepTool_TOOL::Nt(uv1, theFace1, normal1); in IsTangentFaces()
H A DChFi3d.hxx50 const TopoDS_Face& theFace1,
/dports/cad/opencascade/opencascade-7.6.0/src/IntTools/
H A DIntTools_WLineTool.hxx43 const TopoDS_Face& theFace1,
H A DIntTools_WLineTool.cxx268 const TopoDS_Face& theFace1, in ComputeTangentZones() argument
353 (surfit == 0) ? aContext->ProjPS(theFace1) : aContext->ProjPS(theFace2); in ComputeTangentZones()
728 const TopoDS_Face& theFace1, in DecompositionOfWLine() argument
764 Standard_Integer aNbZone = ComputeTangentZones( theSurface1, theSurface2, theFace1, theFace2, in DecompositionOfWLine()
1211 (surfit == 0) ? aContext->ProjPS(theFace2) : aContext->ProjPS(theFace1); in DecompositionOfWLine()
1248 (surfit == 0) ? aContext->ProjPS(theFace1) : aContext->ProjPS(theFace2); in DecompositionOfWLine()
H A DIntTools_FaceFace.cxx79 const TopoDS_Face& theFace1,
2005 const TopoDS_Face& theFace1, in ParameterOutOfBoundary() argument
2022 Handle(Geom_Surface) aSurf1 = BRep_Tool::Surface(theFace1); in ParameterOutOfBoundary()
2046 aState = aContext->StatePointFace(theFace1, gp_Pnt2d(U, V)); in ParameterOutOfBoundary()
/dports/cad/opencascade/opencascade-7.6.0/inc/
H A DIntTools_WLineTool.hxx43 const TopoDS_Face& theFace1,
H A DChFi3d.hxx50 const TopoDS_Face& theFace1,
H A DMeshTest_CheckTopology.hxx76 Standard_Integer& theFace1,
H A DBRepOffset_Tool.hxx202 Standard_EXPORT static Standard_Boolean CheckPlanesNormals(const TopoDS_Face& theFace1,
H A DBOPTools_AlgoTools.hxx257 const TopoDS_Face& theFace1,
/dports/devel/py-cadquery-pywrap/pywrap-e8c7bc9/opencascade/
H A DIntTools_WLineTool.hxx45 const TopoDS_Face& theFace1,
H A DBRepOffset_Tool.hxx205 Standard_EXPORT static Standard_Boolean CheckPlanesNormals(const TopoDS_Face& theFace1,
H A DBOPTools_AlgoTools.hxx247 const TopoDS_Face& theFace1,
H A DChFi3d_Builder_0.hxx556 const TopoDS_Face &theFace1,
/dports/cad/opencascade/opencascade-7.6.0/src/MeshTest/
H A DMeshTest_CheckTopology.hxx76 Standard_Integer& theFace1,
H A DMeshTest_CheckTopology.cxx254 Standard_Integer& theFace1, in GetCrossFaceError() argument
261 theFace1 = myErrors(aInd); in GetCrossFaceError()
/dports/cad/opencascade/opencascade-7.6.0/src/BRepOffset/
H A DBRepOffset_Tool.hxx202 Standard_EXPORT static Standard_Boolean CheckPlanesNormals(const TopoDS_Face& theFace1,
H A DBRepOffset_Tool.cxx152 void PerformPlanes(const TopoDS_Face& theFace1,
787 const TopoDS_Face& theFace1, in IsAutonomVertex() argument
792 nF[0] = thePDS->Index(theFace1); in IsAutonomVertex()
4055 Standard_Boolean BRepOffset_Tool::CheckPlanesNormals(const TopoDS_Face& theFace1, in CheckPlanesNormals() argument
4059 BRepAdaptor_Surface aBAS1(theFace1, Standard_False), aBAS2(theFace2, Standard_False); in CheckPlanesNormals()
4066 if (theFace1.Orientation() == TopAbs_REVERSED) { in CheckPlanesNormals()
4083 void PerformPlanes(const TopoDS_Face& theFace1, in PerformPlanes() argument
4094 aFF.Perform(theFace1, theFace2); in PerformPlanes()
4126 aBB.UpdateEdge(aE, aIC.FirstCurve2d(), theFace1, aIC.Tolerance()); in PerformPlanes()
4134 BRepOffset_Tool::OrientSection(aE, theFace1, theFace2, O1, O2); in PerformPlanes()
/dports/cad/opencascade/opencascade-7.6.0/src/BOPTools/
H A DBOPTools_AlgoTools.hxx257 const TopoDS_Face& theFace1,
H A DBOPTools_AlgoTools.cxx901 const TopoDS_Face& theFace1, in IsInternalFace() argument
910 BOPTools_AlgoTools::GetEdgeOnFace(theEdge, theFace1, aE1); in IsInternalFace()
916 else if (theFace1==theFace2) { in IsInternalFace()
934 Standard_Boolean isDone = GetFaceOff (aE1, theFace1, theLCSOff, aFOff, theContext); in IsInternalFace()
/dports/cad/opencascade/opencascade-7.6.0/src/BRepFill/
H A DBRepFill_Sweep.cxx372 const TopoDS_Face& theFace1, in CorrectSameParameter() argument
384 if (!theFace1.IsNull()) in CorrectSameParameter()
387 BAcurve[0].Initialize(theEdge, theFace1); in CorrectSameParameter()
389 if (!theFace1.IsNull() && in CorrectSameParameter()
390 theFace1.IsSame(theFace2)) in CorrectSameParameter()